Get Checkout Jwt Token

Gets a Checkout Jwt Token for a purchase

Checkout JWT tokens ensure:

  1. The arguments of the purchase cannot be manipulated
  2. The checkout JWT is only valid for a single purchase
  3. The arguments of the purchase are encrypted to be hidden from the user (webhook info, chargebackProtectionData, etc...)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
string
enum

Coinflow Types *

Allowed:
string
enum
Allowed:
customerInfo
chargebackProtectionData
array of objects

Purchase *

chargebackProtectionData
subtotal
required
string
enum
Allowed:
string
boolean

Only authorize the purchase. This will not actually capture the payment.(default: false)

string
enum
accountFundingTransaction
object

Used for Account Funding Transactions

allowedPaymentMethods
array of objects

The payment methods displayed on the UI. If omitted, all available payment methods will be displayed.

allowedPaymentMethods
boolean

If true, pre-checks the partial USDC payment checkbox when USDC balance is available. If false or undefined, maintains default behavior (unchecked).

string

The DeviceID gotten from the Coinflow SDK: https://docs.coinflow.cash/docs/implement-chargeback-protection#how-to-add-chargeback-protection

window?.nSureSDK?.getDeviceId()

string

Your company email address that the customer can contact.

origins
array of strings

If rendering the Coinflow component within multiple nested iframes, all ancestors in the chain must be provided as a comma-separated list.

Example: Primary origin that will be interacting with the Coinflow iFrame: foo.com Subsequent origins that will render foo.com: bar.com The origin array would then be: [https://foo.com,https://bar.com]

origins
theme
object
standaloneLinkConfig
object
string

(Optional) Idemptotency Key to pass to prevent multiple purchases with the same checkout link. If not passed, a random one will be generated for you automatically.

string

If utilizing USDC settlement to addresses other than your main merchant settlement address. Utilize this destination which is the address to send the USDC to.

fixedFee
object
webhookInfo
object
double
0 to 100

If this purchase is for a seller/submerchant where the marketplace takes a fee, this is the % fee which is taken from the subtotal amount.

boolean

(Solana only) If a transaction involved in the purchase, should payment be checked for redemption

customerUsdcTransferData
object

Customer signed USDC transferWithAuthorization data for dual-source payments Used for combined USDC + Credit Card payments on EVM chains

transactionData

(EVM only) if you want to execute an EVM transaction on a successful purchase, you can pass a transaction request here.

Gas fees for the transaction will be automatically calculated and added to the total charged to the customer. Optionally the merchant can opt to pay for these gas fees.

rent
object

(Solana only) if your transaction requires a known amount of Rent to be paid, you can pass it here.

string

If utilizing USDC settlement to addresses other than your main merchant settlement address. Utilize this destinationAuthKey which is a JWT encoded with the information for which address to send the USDC to.

authentication3DS
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json